//---------------------------------------------------------------------------
#ifndef Unit2H
#define Unit2H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include <vcl\ExtCtrls.hpp>
#if __BORLANDC__>0x520
#include <vcl\DBTables.hpp>
#endif
//---------------------------------------------------------------------------
class TForm2 : public TForm
{
__published:	// IDE-managed Components
    TSpeedButton *btnBold;
    TSpeedButton *btnPost;
    TSpeedButton *btnCancel;
    TSpeedButton *btnClose;
    TRichViewEdit *RichViewEdit1;
    TPanel *Panel1;
    void __fastcall RichViewEdit1Change(TObject *Sender);
    void __fastcall btnPostClick(TObject *Sender);
    void __fastcall btnCancelClick(TObject *Sender);
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
    void __fastcall btnCloseClick(TObject *Sender);
    void __fastcall RichViewEdit1CurTextStyleChanged(TObject *Sender);
    void __fastcall btnBoldClick(TObject *Sender);
private:	// User declarations
    bool FModified;
	UnicodeString FFieldName;
	TTable* FTable;
	void __fastcall SetModified(const bool Value);
	void Load();
	void Save();
	__property bool Modified = {read=FModified, write=SetModified};
public:		// User declarations
	__fastcall TForm2(TComponent* Owner);
	void SetField(const UnicodeString AFieldName, TTable * ATable);
};
//---------------------------------------------------------------------------
extern TForm2 *Form2;
//---------------------------------------------------------------------------
#endif
